Bug 474410 - profiler test does not pass --no-vmlinux properly
profiler test does not pass --no-vmlinux properly
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 13:28 EST by Greg Nichols
Modified: 2014-03-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 17:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
profiler.py patch to pass --no-vmlinux on daemon start (897 bytes, patch)
2008-12-03 13:29 EST, Greg Nichols
no flags Details | Diff
profiler output.log (1.45 KB, text/x-log)
2009-01-15 00:28 EST, Yan Tian
no flags Details
/var/hts/results.xml (423.54 KB, text/xml)
2009-01-18 21:19 EST, Yan Tian
no flags Details

  None (edit)
Description Greg Nichols 2008-12-03 13:28:05 EST
Description of problem:

profiler test appears not to pass --no-vmlinux when required by
oprofile:

Running ./profiler.py:
Daemon not running
Linux image for 2.6.18-120.el5PAE not found
No vmlinux file specified. You must specify the correct vmlinux file, e.g.
opcontrol --vmlinux=/path/to/vmlinux
If you do not have a vmlinux file, use 
opcontrol --no-vmlinux
Enter opcontrol --help for full options
starting opcontrold
Error: oprofiled did not start
...finished running ./profiler.py, exit code=1


Version-Release number of selected component (if applicable):


HTS 5.3 R5
Comment 1 Greg Nichols 2008-12-03 13:29:33 EST
Created attachment 325570 [details]
profiler.py patch to pass --no-vmlinux on daemon start
Comment 4 Yan Tian 2009-01-15 00:28:00 EST
Created attachment 329067 [details]
profiler output.log

Reproduced this bug in hts-5.3-12 with 2.6.18-123.el5PAE kernel. Attached the output.log of profiler test. Reassigned the bug.
Comment 5 Greg Nichols 2009-01-18 20:29:53 EST
From the output log, it's not clear.  Did the test pass or fail?  Could you attach /var/hts/results.xml?
Comment 6 Yan Tian 2009-01-18 21:19:18 EST
Created attachment 329314 [details]
/var/hts/results.xml

(In reply to comment #5)
> From the output log, it's not clear.  Did the test pass or fail?  Could you
> attach /var/hts/results.xml?

The test pass but show error info in output.log.
Comment 7 Greg Nichols 2009-01-19 10:38:22 EST
These error message in the passing test log are noted in bz 478498.

Marking this bug VERIFIED.
Comment 9 errata-xmlrpc 2009-01-27 17:58:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html

Note You need to log in before you can comment on or make changes to this bug.